angular.module('focaModalLocalizar')
    .controller('focaModalLocalizarController', 
        [
            '$scope',
            '$uibModalInstance',
            'focaModalLocalizarService',
            'direccion',
            'focaModalService',
            function($scope, $uibModalInstance,
                focaModalLocalizarService, direccion, focaModalService) {

                $scope.latitud = -32.89214159952345;
                $scope.longitud = -68.84572999101856;
                $scope.localizar = !!direccion;

                if(direccion) {
                    focaModalLocalizarService
                        .getLatLng({
                            street: direccion.numero + ' ' + direccion.calle,
                            country: 'Argentina',
                            city: direccion.provincia,
                            county: direccion.localidad,
                            format: 'json'
                        })
                        .then(function(res) {
                            if(res.data.length) {
                                $scope.latitud = res.data[0].lat;
                                $scope.longitud = res.data[0].lon;
                                $scope.$broadcast('moveMap', {
                                    latitud: $scope.latitud,
                                    longitud: $scope.longitud
                                });
                            }else {
                                focaModalService.alert('No se pudo localizar el domicilio');
                            }
                        });
                }

                $scope.cancel = function() {
                    $uibModalInstance.dismiss();
                };

                $scope.aceptar = function() {
                    $uibModalInstance.close({
                        latitud: $scope.latitud,
                        longitud: $scope.longitud
                    });
                };
            }
        ]
    );
